Create a comment on a post for a creator

Create a new comment on a specific post on behalf of a creator. <Info>Scopes required: `write:post`, `write:creator`</Info>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

creatorUserUuidstringRequiredformat: "uuid"
uuidstringRequiredformat: "uuid"
UUID of the post to comment on

Headers

X-Fanvue-API-VersionstringRequiredDefaults to 2025-06-26
API version to use for the request

Request

This endpoint expects an object.
textstringRequired1-600 characters

Comment text content (1–600 characters)

Response

Comment created successfully
uuidstringformat: "uuid"
Unique identifier of the created comment
textstring
Comment text content
createdAtstringformat: "date-time"

Date/time when the comment was created (ISO 8601 format)

updatedAtstring or nullformat: "date-time"

Date/time when the comment was last updated (ISO 8601 format)

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
410
Gone Error
429
Too Many Requests Error